@keyframes progress-bar-stripes {
  from {
    background-position: 1rem 0; }
  to {
    background-position: 0 0; } }

#cart-layout .page-container-bg {
  padding: 10px;
  background: var(--subbgshop);
  border-radius: 7px; }

#cart-layout .main-content-cartempty .expanded-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center; }
  #cart-layout .main-content-cartempty .expanded-info img {
    max-height: 150px; }
  #cart-layout .main-content-cartempty .expanded-info .info-text p {
    font-size: 20px;
    line-height: 1.3;
    font-weight: 500;
    margin: 5px 0 0;
    color: var(--colorshop_titlte);
    text-transform: uppercase;
    text-align: center; }
    @media (max-width: 767px) {
      #cart-layout .main-content-cartempty .expanded-info .info-text p {
        font-size: 16px; } }

@media (min-width: 992px) {
  #cart-layout .sidebarCart-sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 10px;
    height: max-content; } }

#cart-layout .content-cart-heading {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  height: auto;
  justify-content: space-between; }
  #cart-layout .content-cart-heading .content_page-title {
    margin-bottom: 12px; }
    #cart-layout .content-cart-heading .content_page-title h1 {
      text-transform: uppercase;
      margin-top: 0;
      font-size: 23px;
      font-weight: 700;
      text-align: left;
      margin-bottom: 0; }
      @media (max-width: 991px) {
        #cart-layout .content-cart-heading .content_page-title h1 {
          font-size: 21px; } }
    #cart-layout .content-cart-heading .content_page-title .title-number-cart {
      padding: 0;
      font-weight: 400;
      font-size: 16px;
      margin: 0 0 12px; }
  #cart-layout .content-cart-heading .cart-shipping {
    flex: 0 0 100%;
    max-width: 100%;
    padding: 10px 0 0; }
    #cart-layout .content-cart-heading .cart-shipping .price {
      font-size: 16px;
      font-weight: bold;
      color: var(--txt_color_pricecart); }
    #cart-layout .content-cart-heading .cart-shipping .free-ship {
      text-transform: uppercase;
      font-weight: bold; }
      @media (max-width: 767px) {
        #cart-layout .content-cart-heading .cart-shipping .free-ship {
          display: block; } }
    #cart-layout .content-cart-heading .cart-shipping__title {
      font-size: 14px;
      font-weight: 400;
      letter-spacing: 0.5px; }
    #cart-layout .content-cart-heading .cart-shipping__bar {
      height: 8px;
      width: 100%;
      background-color: #e9e9e9;
      border-radius: 5px;
      margin: 15px 0 10px;
      position: relative; }
      #cart-layout .content-cart-heading .cart-shipping__bar .shipping-bar {
        background-color: #ffbc11;
        width: 0;
        border-radius: 5px;
        transition: width .4s ease-in-out;
        display: block;
        height: 100%;
        position: relative;
        background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
        background-size: 1rem 1rem;
        -webkit-animation: 1s linear infinite progress-bar-stripes;
        animation: 1s linear infinite progress-bar-stripes; }
        #cart-layout .content-cart-heading .cart-shipping__bar .shipping-bar .icon {
          width: 30px;
          height: 30px;
          display: inline-flex;
          align-items: center;
          justify-content: center;
          border-radius: 50%;
          position: absolute;
          top: 3px;
          right: 10px;
          transform: translate(50%, -50%);
          font-weight: 700;
          content: "";
          font-size: 12px;
          color: #ffbc11;
          border: 1px solid #ffbc11;
          background: currentColor; }
          #cart-layout .content-cart-heading .cart-shipping__bar .shipping-bar .icon svg {
            fill: #fff; }
    #cart-layout .content-cart-heading .cart-shipping.cart-shipping-free .cart-shipping__bar span {
      background-color: #3d9851; }
    #cart-layout .content-cart-heading .cart-shipping.cart-shipping-free .cart-shipping__bar .icon {
      background-color: #3d9851;
      border-color: #3d9851;
      color: #3d9851; }

#cart-layout .sidebox-order_title {
  color: var(--color_titlepro_shop);
  font-weight: 600;
  font-size: 15px;
  margin-bottom: 10px;
  padding-bottom: 7px;
  border-bottom: 1px dashed #eceef0; }

#cart-layout .sidebox-order .sidebox-order_total {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-bottom: 10px; }

#cart-layout .sidebox-order .title-sidebox {
  font-weight: bold;
  font-size: 16px;
  text-transform: uppercase; }

#cart-layout .sidebox-order .total-price {
  font-size: 23px;
  font-weight: bold;
  color: var(--txt_color_pricecart); }

#cart-layout .sidebox-order .sidebox-order_action {
  margin-top: 10px;
  display: inline-block;
  width: 100%; }
  #cart-layout .sidebox-order .sidebox-order_action .link-continue {
    margin: 10px 0 0; }

.main-content-cart .cart-row {
  width: 100%;
  display: inline-block; }
  .main-content-cart .cart-row .table-cart {
    padding: 8px 10px; }
    .main-content-cart .cart-row .table-cart thead {
      display: none; }
  .main-content-cart .cart-row .line-item-container {
    position: relative;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    padding: 10px;
    border: 1px dashed var(--bgshop);
    border-radius: 10px; }
    @media (min-width: 992px) {
      .main-content-cart .cart-row .line-item-container:hover {
        box-shadow: 0px 0px 3px #d7d7d7;
        border-style: solid; } }
    .main-content-cart .cart-row .line-item-container:not(:last-child) {
      margin-bottom: 15px; }
    .main-content-cart .cart-row .line-item-container .item-image {
      -ms-flex: 0 0 80px;
      flex: 0 0 80px;
      max-width: 80px;
      padding: 7px 0 0;
      position: relative;
      display: block; }
      .main-content-cart .cart-row .line-item-container .item-image .product_image img {
        border-radius: 7px; }
    .main-content-cart .cart-row .line-item-container .item-content {
      -ms-flex: 1 1 auto;
      flex: 1 1 auto;
      padding-left: 15px;
      padding-right: 15px;
      font-size: 14px;
      padding-bottom: 0; }
      .main-content-cart .cart-row .line-item-container .item-content h3 {
        font-size: 15px;
        margin: 0 0 5px;
        font-weight: 500; }
        .main-content-cart .cart-row .line-item-container .item-content h3 a {
          color: var(--colorshop); }
      .main-content-cart .cart-row .line-item-container .item-content span.ico-gift {
        display: inline-block;
        width: 16px;
        vertical-align: text-bottom;
        margin-left: 5px; }
      .main-content-cart .cart-row .line-item-container .item-content .type_promote {
        font-size: 12px;
        margin: 0; }
      .main-content-cart .cart-row .line-item-container .item-content .item-content-price del {
        color: #666;
        font-size: 12px; }
      .main-content-cart .cart-row .line-item-container .item-content .item-content-variant {
        margin-bottom: 0;
        font-size: 12px;
        display: -webkit-flex;
        display: flex;
        width: 100%;
        padding-right: 5px; }
    .main-content-cart .cart-row .line-item-container .quantity-partent {
      display: flex;
      position: relative;
      width: auto;
      align-items: center; }
      .main-content-cart .cart-row .line-item-container .quantity-partent button.qty-btn {
        border-radius: 0;
        padding: 4px;
        width: 30px;
        border: 1.5px solid #000;
        height: 30px;
        display: flex;
        align-items: center;
        justify-content: center;
        color: #000;
        background: transparent;
        outline: none !important;
        box-shadow: none;
        font-size: 21px;
        margin: 0; }
        .main-content-cart .cart-row .line-item-container .quantity-partent button.qty-btn.qtyminus {
          border-right: none;
          border-radius: 5px 0 0 5px; }
        .main-content-cart .cart-row .line-item-container .quantity-partent button.qty-btn.qtyplus {
          border-radius: 0 5px 5px 0;
          border-left: none; }
      .main-content-cart .cart-row .line-item-container .quantity-partent input {
        border: 0;
        width: 35px;
        text-align: center;
        border-top: 1.5px solid #000;
        border-bottom: 1.5px solid #000;
        border-radius: 0;
        height: 30px;
        padding: 0.375rem 0.75rem;
        font-weight: 400;
        line-height: 1.5;
        color: #000;
        background-color: transparent;
        background-clip: padding-box;
        font-size: 16px; }
        .main-content-cart .cart-row .line-item-container .quantity-partent input.no-showbd {
          border: 1.5px solid #000;
          border-radius: 5px; }
    .main-content-cart .cart-row .line-item-container .item-action-price {
      margin: 7px 0 0;
      text-align: right;
      font-weight: 600;
      color: var(--txt_product_pricecl); }
    .main-content-cart .cart-row .line-item-container .cart-remove {
      position: absolute;
      right: -5px;
      top: -9px;
      padding: 0;
      width: 21px;
      height: 21px;
      background: var(--bg_button);
      box-shadow: 0 1px 12px 2px rgba(0, 0, 0, 0.05);
      color: var(--color_button);
      text-align: center;
      line-height: 23px;
      border-radius: 50%;
      font-size: 13px; }
    .main-content-cart .cart-row .line-item-container .item-action {
      padding: 7px 0 0; }
    @media (max-width: 767px) {
      .main-content-cart .cart-row .line-item-container .item-image {
        -ms-flex: 0 0 50px;
        flex: 0 0 50px;
        max-width: 50px;
        padding: 0; }
      .main-content-cart .cart-row .line-item-container .item-content {
        padding: 0 8px; }
        .main-content-cart .cart-row .line-item-container .item-content .item-content-price {
          font-size: 13px; }
        .main-content-cart .cart-row .line-item-container .item-content .item-content-variant {
          font-size: 11px;
          /*.variant_title {padding: 1px 5px;}*/ }
      .main-content-cart .cart-row .line-item-container .item-action {
        padding: 0; }
      .main-content-cart .cart-row .line-item-container .cart-remove {
        position: absolute;
        right: -12px;
        top: -10px; } }

/* coupon */
.sidebox-coupon {
  border: 1px dashed var(--bgshop);
  position: relative;
  margin-top: 30px; }
  .sidebox-coupon .title-abs {
    width: auto;
    color: var(--subbgshop);
    font-weight: 600;
    border-radius: 20px;
    border: 1px solid var(--subbgshop);
    font-size: 14px;
    position: absolute;
    top: -15px;
    background: var(--bg_button);
    padding: 3px 13px; }
  .sidebox-coupon .sb-coupon__wrapper {
    padding-top: 10px; }
  .sidebox-coupon .sb-coupon-item {
    margin-bottom: 5px; }
    .sidebox-coupon .sb-coupon-item:not(:last-child) {
      padding-bottom: 10px;
      border-bottom: 1px dashed #eceef0; }
    .sidebox-coupon .sb-coupon-item .sb-coupon-title {
      margin-bottom: 5px; }
    .sidebox-coupon .sb-coupon-item .sb-item-subitlte {
      margin-bottom: 5px;
      font-size: 13px; }
    .sidebox-coupon .sb-coupon-item .sb-mini-coupon {
      background: var(--color_button);
      color: var(--bg_button);
      border-radius: 12px;
      padding: 2px 10px;
      font-size: 13px;
      font-weight: 600;
      border: 1px dashed var(--bg_button); }
      .sidebox-coupon .sb-coupon-item .sb-mini-coupon.active-sb {
        text-decoration: underline;
        background: var(--bg_button);
        color: var(--color_button); }

/* end coupon */
.checkout-note #note {
  width: 100%;
  border: 1px dashed var(--bgshop);
  background: #fff;
  padding: 10px 20px 0;
  line-height: 40px;
  margin-bottom: 0; }

#listSuggest-Cart-mobile:not(.owl-loaded) .product-item {
  padding: 0 0 10px;
  margin-right: 15px;
  flex: 0 0 24.1%; }
  @media (max-width: 767px) {
    #listSuggest-Cart-mobile:not(.owl-loaded) .product-item {
      margin-right: 10px;
      flex: 0 0 48%; } }
